Opened 6 years ago

#10 new defect

gr-osmosdr depends on "hopscotch" version of libosmosdr

Reported by: sping Owned by: laforge
Priority: major Milestone: milestone:
Component: driver Version:
Keywords: Cc:

Description

gr-osmosdr depends on libosmosdr (off the osmo-sdr repository).

To compile gr-osmosdr, a function

osmosdr_set_fpga_iq_swap

is needed from libosmosdr which does not exist on branch "master" yet. The introducing commit

provide accessors for expanded USB API
http://cgit.osmocom.org/cgit/osmo-sdr/commit/?id=4eed4e78708fe7d3e9ad167de4841a684dfe0538

can be found in the recent history of branch "hopscotch"

http://cgit.osmocom.org/cgit/osmo-sdr/log/?h=hopscotch

and there only.

Until that code has been merged into master, it would be nice to

  • have CMake check for function osmosdr_set_fpga_iq_swap
  • have CMake produce an error and a hint about branch "hopscotch"

Change History (0)

Note: See TracTickets for help on using tickets.